Okta Identity Governance
/- Management APIs
- Access Requests - V2
/
Retrieve the request fiel...
OAuth 2.0 scope:
- okta.accessRequests.request.read
Admin roles:
- ACCESS_REQUESTS_ADMIN
Retrieves request fields for a catalog entry:
- Request fields are determined by evaluating the entry's associated request conditions for the requester.
- The highest priority matching condition determines the approval sequence that's used for the requester.
- If that approval sequence has requester fields, then they are returned as request fields.
- If the request can lead to any separation of duty conflicts, then the risk assessment (
metadata.riskAssessment) is present. The risk assessment indicates whether the request submission is allowed or restricted, and includes rules that lead to the possible conflicts. If the request submission is allowed, then the request fields are determined by the associated approval sequence.
GET
curl -i -X GET \
https://okta-subdomain.pixtulate.com/governance/api/v2/catalogs/default/entries/cenp2rjyxK1Js2Fc41d5/users/00ucvnr9rbONeZdRp1d7/request-fieldsResponse
- When entry has admin specified duration
- When entry allows requester to specify duration
- When entry has no fields, empty request body provided
- When entry has required TEXT field
- When entry has optional TEXT field
- When entry has one SELECT field
- When entry has a MULTISELECT field
- When entry has a ISO_DATE field
- When entry has all field types
- When the entry can be requested for another requester
- When the entry has risk assessment that restricts any request submission
- When the entry has risk assessment that allows request submission
- When the entry has risk assessment with multiple risk rules
{ "data": [ { … } ] }